List available carriers

GET/api/v2/carriers

List all available carriers and products for the user

Authorization

Add HTTP header Authorization with the received API key as the bearer token:

Authorization
API Key

Response

Response body

Content-Type
application/json
Body
PropertyTypeDescription
carriers
object
List of available carriers
carrier_products
object
List of products for the carrier
code
string
Code for the carrier
image_url
string
Image URL for the carrier
name
string
Name of the carrier

Response body example

JSON
{
  "carriers": [
    {
      "carrier_products": [
        {
          "accepts_parcelshop_delivery": false,
          "code": "POSTNL_DELIVERY",
          "description": "PostNL - Delivery",
          "name": "Delivery",
          "preferred_service_level": "post_nl:POSTNL_DELIVERY"
        }
      ],
      "code": "POST_NL",
      "image_url": "https://www.example.com/test.jpeg",
      "name": "PostNL"
    }
  ]
}